Skip to main content
Resource Center/Resource Pool/Volume Operations

AttachDataVolumeToHost

AttachDataVolumeToHost

POST/zstack/v1/volumes/{volumeUuid}/hosts/{hostUuid}

Operation ID

AttachDataVolumeToHost

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • volumeUuid
    StringRequired

    The volume UUID.

  • hostUuid
    StringRequired

    The host UUID.

Body Fields

  • mountPath
    StringRequired

    The mount path on the host.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.